GET /v1/workflows/{id}/runs
List all runs for a specific workflow

Path Parameters

id string required path
Workflow ID

Query Parameters

limit integer optional query
Number of items (default 20, max 100)
offset integer optional query
Offset for pagination (default 0)
status string optional query
Filter by run status (running, success, failure, waiting, cancelled)

Responses

200 OK
application/json
code integer
data object
hasMore boolean
items object[]
Array of:
finishedAt string
id string
isDustTest boolean
isSimulation boolean
sourceRunId string
startedAt string
status string
Enum: running, waiting, success, failure, cancelled
totalCu number
triggerSource string
triggeredBy string
workflowId string
workflowVersion integer
limit integer
offset integer
message string
requestId string
404 Not Found
curl -X GET 'https://api.example.com/v1/workflows/string/runs' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/workflows/string/runs', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/workflows/string/runs', headers=headers)print(response.json())
package mainimport (	"fmt"	"io"	"net/http")func main() {	req, _ := http.NewRequest("GET", "https://api.example.com/v1/workflows/string/runs", nil)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "code": 200,  "data": {    "hasMore": true,    "items": [      {        "finishedAt": "<string>",        "id": "<string>",        "isDustTest": true,        "isSimulation": true,        "sourceRunId": "<string>",        "startedAt": "<string>",        "status": "running",        "totalCu": 123,        "triggerSource": "<string>",        "triggeredBy": "<string>",        "workflowId": "<string>",        "workflowVersion": 123      }    ],    "limit": 123,    "offset": 123  },  "message": "success",  "requestId": "abc-123"}
Ask a question... ⌘I